# class ActiveRecord::ConnectionAdapters::PostgreSQL::OID::Bit::Data

### Attributes

value[R]

TODO Change this to private once we've dropped Ruby 2.2 support. Workaround for Ruby 2.2 “private attribute?” warning.

### Public Class Methods

new(value) click to toggle source

    # File lib/active_record/connection_adapters/postgresql/oid/bit.rb, line 28
    def initialize(value)
      @value = value
    end

### Public Instance Methods

binary?() click to toggle source

    # File lib/active_record/connection_adapters/postgresql/oid/bit.rb, line 36
    def binary?
      /\A[01]*\Z/.match?(value)
    end

hex?() click to toggle source

    # File lib/active_record/connection_adapters/postgresql/oid/bit.rb, line 40
    def hex?
      /\A[0-9A-F]*\Z/i.match?(value)
    end

to_s() click to toggle source

    # File lib/active_record/connection_adapters/postgresql/oid/bit.rb, line 32
    def to_s
      value
    end